import request from '@/utils/request'

// 查询阀门铅封开关状态记录列表
export function listCsocsc(query) {
  return request({
    url: '/process/csocsc/list',
    method: 'get',
    params: query
  })
}

// 查询阀门铅封开关状态记录详细
export function getCsocsc(id) {
  return request({
    url: '/process/csocsc/' + id,
    method: 'get'
  })
}

// 新增阀门铅封开关状态记录
export function addCsocsc(data) {
  return request({
    url: '/process/csocsc',
    method: 'post',
    data: data
  })
}

// 修改阀门铅封开关状态记录
export function updateCsocsc(data) {
  return request({
    url: '/process/csocsc',
    method: 'put',
    data: data
  })
}

// 删除阀门铅封开关状态记录
export function delCsocsc(id) {
  return request({
    url: '/process/csocsc/' + id,
    method: 'delete'
  })
}
